List escalation policies
List all of the existing escalation policies.
Escalation policies define which user should be alerted at which time.
For more information see the API Concepts Document
Scoped OAuth requires: escalation_policies.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseFilters the result, showing only the records whose name matches the query.
Filters the results, showing only escalation policies on which any of the users is a target.
An array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter.
Array of additional Models to include in response.
Value in
- "services"
- "teams"
- "targets"
- "escalation_rule_assignment_strategies"
Used to specify the field you wish to sort the results on.
"name"Value in
- "name"
- "name:asc"
- "name:desc"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
Get an escalation policy GET
Get information about an existing escalation policy and its rules. Escalation policies define which user should be alerted at which time. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#escalation-policies) Scoped OAuth requires: `escalation_policies.read`
List audit records for an escalation policy GET
The returned records are sorted by the `execution_time` from newest to oldest. See [`Cursor-based pagination`](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for instructions on how to paginate through the result set. For more information see the [Audit API Document](https://developer.pagerduty.com/docs/rest-api-v2/audit-records-api/). Scoped OAuth requires: `audit_records.read`